$transition: 0.3s ease-in;

.SmartDropDown {
  position: relative;
  display: flex;
  align-items: center;
}

.DropDown {
  position: relative;
}

.ToggleButton {
  margin-left: 15px;
  min-height: 40px;
  display: flex;

  justify-content: center;
  align-items: center;

  i {

    display: flex;
    cursor: pointer;
    transition: 0.3s ease-in;
    width: 18px;
    height: 18px;
    padding: 1px;
    box-sizing: border-box;
    border-radius: 50%;
    text-align: center;
    font-size: 12px;
    justify-content: center;
    align-items: center;


    &:hover {
      background: rgba(0, 0, 0, 0.9);
      border-radius: 50%;
      color: #fff;
    }
  }

}

.Arrow {
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 16px 16px 16px;
  border-color: transparent transparent #ffffff transparent;

  position: absolute;
  top: -13px;
  left: 8px;
}

.Search {
  transition: $transition;
  opacity: 0;
  display: none;
  position: absolute;
  top: 40px;
  padding: 5px 0 15px;
  box-shadow: 0 1px 10px 0 rgba(69, 90, 100, 0.2);
  background: #fff;
  z-index: 1000;
  width: 320px;
  //display: none;
}

.SearchHint {
  display: block;
  padding: 8px 16px;
  color: rgba(0, 0, 0, .56);
  font-size: 12px;
}

.SelectedList {
  flex-direction: row;
  height: auto;
  display: flex;
}

.SelectedItem {

  position: relative;
  max-width: calc(100% - 8px);
  flex-shrink: 0;
  border-color: inherit;
  cursor: pointer;
  border-radius: 32px;

  display: flex;
  align-items: center;
  justify-content: center;


  transition: $transition;

  .SelectedItemLabel {

    display: block;
    overflow: hidden;
    min-width: 80px;
    max-width: 256px;
    //height: 40px;
    padding: 6px 12px 4px;

    white-space: nowrap;
    text-overflow: ellipsis;
    text-align: center;

  }

}

.SelectedItemBtnRemove {
  position: absolute;
  top: -6px;
  right: -6px;
  z-index: 4;
  opacity: 0;
  transition: opacity .1s ease-out;

  display: flex;
  justify-content: center;
  align-items: center;

  width: 18px;
  height: 18px;
  padding: 1px;

  border-radius: 50%;
  background: rgba(0, 0, 0, 0.9);
  color: #fff;
  font-size: 12px;
  cursor: pointer;
}

.SelectedItem {

  &:hover {
    background-color: rgba(0, 0, 0, .04);

    .SelectedItemBtnRemove {
      opacity: 1;
    }
  }
}

.SearchForm {
  padding: 15px;
}

.SearchItem {
  color: #888;
  padding: 8px 15px;
  cursor: pointer;

  &:hover, &:focus, {
    background: rgba(4, 169, 245, 0.1);
  }

}

.SmartDropDown {

  &.isOpen {
    .Search {
      display: block;
      opacity: 1;
    }
  }
}

.ContactCard {
  display: flex;
  align-items: center;
  padding: 0 16px;
}

.ContactCardAvatar {
  flex-shrink: 0;
  width: 32px;
  height: 32px;
  margin-right: 8px;
  border-radius: 50%;

  background: #ff9800;
  color: #fff;
  justify-content: center;
  align-items: center;
  display: flex;
  font-weight: 700;

}

.ContactCardDoubleDeck {
  flex-grow: 1;
  width: 0;
  flex-shrink: 0;

}

.ContactCardDoubleDeckTopSlot {
  display: flex;
  align-items: center;
  flex-grow: 1;
  display: flex;
  align-items: center;
  min-width: 0;
  color: rgba(0, 0, 0, .9);
  font-size: 14px;
  font-weight: 400;
  line-height: 22px;

}

.ContactCardDoubleDeckBottomSlot {
  display: flex;
  color: rgba(0, 0, 0, .56);
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  font-size: 12px;
  font-weight: 400;
  line-height: 20px;
}
